Part Box

From FreeCAD Documentation
Revision as of 11:07, 18 February 2022 by C4e (talk | contribs)

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Box command creates a parametric box solid.

FreeCAD creates a cube, each side with an equal length of 10 millimetre.

By default, the box is positioned with the lower left corner at the origin (0,0,0). The bottom of the cube is on the xy-plane. Its extension in x, y and z direction follows the positive axis values.

Part_Box

Usage

First, make sure you are using the Part Workbench.

There are two ways to create a Part Box:

  • press the Cube button in the toolbar
  • use the menu: Part → Primitives → Cube

To edit the Part Box:

  • either
  1. select it in the tree and double-click on it
  2. edit the parameters in the appearing dialog

Example

Part Box scripting example.

A Part Box object with the values of the bottom scripting example are shown here.

Notes

The inserted box is a parametric, rectangular cuboid.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Box

  • DataLength (Length): The length of the box. This is the dimension in the x-direction.
  • DataWidth (Length): The width of the box. This is the dimension in the y-direction.
  • DataHeight (Length): The height of the box. This is the dimension in the z-direction.

Scripting

A Part Box is created with the addObject() method of the document.

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where myBox is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

box.Label = "new myBoxName"

You can access and modify attributes of the box object. For example, you may wish to modify the length, width and height parameters.

box.Length = 4
box.Width = 8
box.Height = 12

You can change its placement with:

box.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(75, 60, 30))